<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--=============== BOXICONS ===============-->
    <link th:href="@{https://unpkg.com/boxicons@2.1.2/css/boxicons.min.css}" rel='stylesheet'>

    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
    <object th:include="fragments/fragment :: navbar-css" th:remove="tag"></object>
    <link rel="stylesheet" th:href="@{/css/kustomisasi-sertifikat-preview.css}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Custom Sertifikat Preview</title>
</head>
<body>
<header th:replace="fragments/fragment :: navbar"></header>

<section class="content-sidebar-section">
    <div class="card-kustomisasi-sertifikat-preview">
        <div class="title-preview-sertifikat">
            Preview Sertifikat
        </div>
        <div class="preview-image-wrapper">

            <div class="preview-image">
                <!-- TODO: Fetch image preview here !!! -->
                <img th:src="@{data:image/png;base64,}+${base64ImagePreview}" alt="" />
            </div>
        </div>

        <div class="button-wrapper-section">
            <div class="button-action">
                <form th:action="@{/seminars/upload-sertifikat/} + ${seminarId} + @{/submit}" method="POST">
                    <input type="hidden" name="base64ImageSubmit" th:value="${base64ImageSubmit}"/>
                    <input type="hidden" name="originalFileName" th:value="${originalFileName}"/>
                    <div class="create-button">
                        <button type="submit" class="button-primary mx-auto" style="width: 130px;">Submit</button>
                    </div>
                </form>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/seminars/upload-sertifikat/}+${seminarId}">Kembali</a>
                </div>
            </div>

        </div>

    </div>
</section>
<!-- Swiper JS -->
<script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>
</body>
</html>